<?php
/*
* $Id: template_top.php
* $Loc: /templates/override/includes/components/
*
* Name: SlimCheckout
* Version: 1.14
* Release Date: 2024-10-30
* Author: Rainer Schmied
* 	 phoenixcartaddonsaddons.com / raiwa@phoenixcartaddons.com
*
* License: Released under the GNU General Public License
*
* Comments: Author: [Rainer Schmied @raiwa]
* Author URI: [www.phoenixcartaddons.com]
* 
* CE Phoenix, E-Commerce made Easy
* https://phoenixcart.org
* 
* Copyright (c) 2021 Phoenix Cart
* 
* 
*/

  $Template->build_blocks();

  $hooks->cat('injectRedirects');

  $tpl_template = $Template->get_template();
  if (!$Template->has_blocks('boxes_column_left') || (defined('MODULE_STORE_SLIM_CHECKOUT_BOXES') && in_array(basename(Request::get_page()), explode(';', MODULE_STORE_SLIM_CHECKOUT_BOXES))) ) {
    $tpl_template->setGridContentWidth($tpl_template->getGridContentWidth() + $tpl_template->getGridColumnWidth());
  }

  if (!$Template->has_blocks('boxes_column_right') || (defined('MODULE_STORE_SLIM_CHECKOUT_BOXES') && in_array(basename(Request::get_page()), explode(';', MODULE_STORE_SLIM_CHECKOUT_BOXES))) ) {
    $tpl_template->setGridContentWidth($tpl_template->getGridContentWidth() + $tpl_template->getGridColumnWidth());
  }
?>
<!DOCTYPE html>
<html<?= HTML_PARAMS ?>>
<head>
<meta charset="<?= CHARSET ?>">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title><?= htmlspecialchars($Template->get_title()) ?></title>
<base href="<?= HTTP_SERVER . DIR_WS_CATALOG ?>">

<?=
  $hooks->cat('injectSiteStart'),
  $Template->get_blocks('header_tags')
?>
</head>
<body>

  <?=
    $hooks->cat('injectBodyStart'),
    $Template->get_content('navigation'),
    $hooks->cat('injectBeforeHeader')
  ?>
  
  <div class="header bg-light border-bottom">
    <div class="<?= BOOTSTRAP_CONTAINER ?>">
      <?php require $Template->map('header.php', 'component'); ?>
    </div>
  </div>
  
  <?= $hooks->cat('injectAfterHeader') ?>
  
  <div id="bodyWrapper" class="<?= BOOTSTRAP_CONTAINER ?> pt-2">

         
    <?= $hooks->cat('injectBodyWrapperStart') ?>

                                           

                                                      

                                          
      

    <div class="row">
      <div id="bodyContent" class="col order-1 order-md-2">

        <?= $hooks->cat('injectBodyContentStart') ?>
